curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes/{change_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes/{change_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/changes/{change_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"change_type": "add_job_description",
"change_status": "suggested",
"change_data": {
"job_id": "job_external_id_1",
"job_description": "The Front-End Developer is responsible for implementing visual elements that users interact with on the company's web applications..."
},
"context": {
"instructions": "Please use inclusive language and highlight remote work opportunities",
"reference_job_ids": [
"5cbdbdbe-5f44-4423-8157-5fgqsef7b834c",
"62d2c013-ab77-410e-b5fb-2f96eed9c1db"
],
"sections_to_include": [
"Summary",
"Responsibilities"
],
"use_internal_job_data": true
}
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get Job Architecture Change Details
Get detailed information about a specific Job architecture change.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Query Parameters
Additional data to include in the response. Use 'context' to include context information for the change.
context Response
OK
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Type of change made to a Job.
add_job_description "add_job_description"
Current status of a Job change.
preview, generating, generating_preview, suggested, saving, saved, deleted, generate_failed, save_failed "suggested"
The actual change data
Show child attributes
Show child attributes
{ "job_id": "job_external_id_1", "job_description": "The Front-End Developer is responsible for implementing visual elements that users interact with on the company's web applications..." }
Context information for the change (included when include=context parameter is used)
Show child attributes
Show child attributes
Was this page helpful?